---
title: "Current state of SupaLidlGame (2024-05-11)"
date: 2024-05-11
tags:
- software
- gaming
series: SupaLidlGame
---

For the past year and a half, I have been working on a Forsen fan/baj game. The
reason why I am writing this is so I can see how far I've gone with this
project and have some motivation to continue working on it, even if it means
forsen will never play this {{<emote LULE>}}. I have been meaning to write this
but I have gotten really lazy (Forsen build) and just worked on the game
without bothering.

But I am now at a point where I want to work on the game, but I do not know
specifically what to work on. I even made a [Kanban board and a
roadmap](https://github.com/users/HumanoidSandvichDispenser/projects/4) for
this game, and I do not even know what to add to it. Just having this dev log
would be nice as I can look back and laugh at wtf was this dumbass thinking.

For a place to start, last July, I made a video showcasing the Dr. Disrespect
boss. Since that video, a lot about this game has changed.

{{<youtube YI5GtBjGE2M>}}

# Color Palette

First, what I immediately after uploading that video was change the
colorscheme. The "arena" in the video was supposed to look more similar to the
arena from Dr. Disrespect's "Depths of the Arena" video, which I based this
particular level on.

{{<youtube id="41cSjPTiesM" start="165" end="285">}}

I was originally using [Adam C Younis's Apollo
palette](https://lospec.com/palette-list/apollo), which is indeed a pretty nice
set of colors; I originally used it for other works of pixel art, but I felt a
more drab palette would really fit with the game. I switched to using
[moor64](https://lospec.com/palette-list/moor64). The desaturated and off-white
colors rather really suited the atmosphere of the game.

If you want to compare all of the sprites before and after, [here is the
commit](https://github.com/HumanoidSandvichDispenser/SupaLidlGame/commit/5c7b5a86a8ddf839b13253f7cf70c95ee36a5040)
that changed the color palette of all the sprites

Besides the palette change, I also edited the Doc sprite to better highlight
his bulletproof mullet, and made his lance red and black rather than the
cyberpunk aesthetic of the old one.

{{<imgproc "doc-lance-old.png" "resize 32x" />}}

{{<imgproc "doc-lance-new.png" "resize 32x" />}}

{{<imgproc "doc-gen-1.png" "resize x32">}}
First iteration
{{</imgproc>}}

{{<imgproc "doc-gen-2.png" "resize x40">}}
Second iteration
{{</imgproc>}}

{{<imgproc "doc-gen-3.png" "resize x40">}}
Third iteration (new palette; to see difference, click on both images)
{{</imgproc>}}

# forsenLevel

One gameplay mechanic I implemented into the game is the "level mechanic"
{{<emote forsenLevel>}} which despite its name, is not actually a level system.
It is more similar to Hollow Knight's SOUL system where you deal damage in
order to cast spells or heal. The difference here is that you must deal damage
rapidly, whereas in Hollow Knight, you can hit an enemy once and hide in a
corner. My goal with this change is that it should encourage aggressive
gameplay and combos. Playing solely a rangedcuck would be very inefficient, and
abusing magecuckery would be expensive (plus you do not gain level from magic
damage).

When damage is dealt, your XP bar increases by a quarter amount. After 1 second
of not dealing any damage, the bar decays back to 25% of its capacity. When it
reaches 100%, the XP resets to 0 and your level is increased.

Currently, the maximum level is 4, and upon reaching it, you can activate your
max level ability. Right now, the default one is LowTierGod's lightning, but I
plan to different abilities soon.

{{<video src="https://gachi.gay/G96cE">}}
@weebs, do it NOW! {{<emote forsenMaxLevel>}}
{{</video>}}

# Anyways... {{<emote PepeHands>}}

That's all I have to say... for now {{<emote Pepebanes>}}
