---
date: 2023-11-04
tags:
  - misc
title: "Two Cans & String Question Heatmap"
draft: true
---

Since March, I have collected thousands of questions on Two Cans & String. Most
of these questions were activated questions, but some were randomly sampled by
selecting every n post.

I used a Python script that uses the Two Cans & String API to archive questions
and insert it into an SQLite DB.

![](/assets/tcdb.png)

The data was transformed into a CSV and imported into Google Sheets, which
allowed me to create a heatmap by counting the frequency based on the day of
the week.

Here was the heatmap of the questions posted on the website from 2nd of March
to 2nd of April.

![](https://i.ibb.co/vk1c4LS/twocans.png)

Now after 6 months, here is how the heatmap changed from 2nd of March to 2nd of
September (also with a table of questions asked).

![](https://i.ibb.co/2g7pQx4/image.png)
